#ifndef _BLACKICE_H
#define _BLACKICE_H

/* Black-ICE: Intrusion Countermeasure Electronics

   A bit of code that will make a program difficult to trace.
 */

int blackice_haywire();         /* hay wire */
int blackice_is_traced();       /* detect trace */

void blackice_killtrace();      /* is_traced? haywire! */
void disable_coredumps();

int evil_cookie();              /* get the evil cookie */

#ifdef KILLTRACE
/* prepend this code to main */
static void __constructor() __attribute__ ((constructor)); 
static void __constructor() { disable_coredumps(); blackice_killtrace(); }
#endif

#endif _BLACKICE_H
